Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.annots.QuadPoints Class Reference

## Public Member Functions
| QuadPoints ()
| Constructor.
| QuadPoints (PointF first, PointF second, PointF third, PointF fourth)
| Constructor, with parameters. More...
| QuadPoints (QuadPoints quad_points)
| Constructor, with another quadrilateral points object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PointF | getFirst ()
| Get first point of quadrilateral, in PDF coordinate system. More...
PointF | getFourth ()
| Get fourth point of quadrilateral, in PDF coordinate system. More...
PointF | getSecond ()
| Get second point of quadrilateral, in PDF coordinate system. More...
PointF | getThird ()
| Get third point of quadrilateral, in PDF coordinate system. More...
void | set (PointF first, PointF second, PointF third, PointF fourth)
| Set value. More...
void | setFirst (PointF value)
| Set first point of quadrilateral, in PDF coordinate system. More...
void | setFourth (PointF value)
| Set fourth point of quadrilateral, in PDF coordinate system. More...
void | setSecond (PointF value)
| Set second point of quadrilateral, in PDF coordinate system. More...
void | setThird (PointF value)
| Set third point of quadrilateral, in PDF coordinate system. More...

## Detailed Description

This class represents points of a quadrilateral, in PDF coordinate system. The order of points in a quadrilateral should be as follows:

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.

## Constructor & Destructor Documentation

## ◆ QuadPoints() [1/2]

com.foxit.sdk.pdf.annots.QuadPoints.QuadPoints | ( | PointF | first,
|  | PointF | second,
|  | PointF | third,
|  | PointF | fourth
| ) |  |

Constructor, with parameters.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

## ◆ QuadPoints() [2/2]

com.foxit.sdk.pdf.annots.QuadPoints.QuadPoints | ( | QuadPoints | quad_points | ) |

Constructor, with another quadrilateral points object.

Parameters

  [in] | quad_points | Another quadrilateral points object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.annots.QuadPoints.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFirst()

com.foxit.sdk.pdf.annots.QuadPoints.getFirst | ( |  | ) |

Get first point of quadrilateral, in PDF coordinate system.

Returns
  First point of quadrilateral, in PDF coordinate system.

## ◆ getFourth()

com.foxit.sdk.pdf.annots.QuadPoints.getFourth | ( |  | ) |

Get fourth point of quadrilateral, in PDF coordinate system.

Returns
  Fourth point of quadrilateral, in PDF coordinate system.

## ◆ getSecond()

com.foxit.sdk.pdf.annots.QuadPoints.getSecond | ( |  | ) |

Get second point of quadrilateral, in PDF coordinate system.

Returns
  Second point of quadrilateral, in PDF coordinate system.

## ◆ getThird()

com.foxit.sdk.pdf.annots.QuadPoints.getThird | ( |  | ) |

Get third point of quadrilateral, in PDF coordinate system.

Returns
  Third point of quadrilateral, in PDF coordinate system.

## ◆ set()

void com.foxit.sdk.pdf.annots.QuadPoints.set | ( | PointF | first,
|  | PointF | second,
|  | PointF | third,
|  | PointF | fourth
| ) |  |

Set value.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

Returns
  None.

## ◆ setFirst()

com.foxit.sdk.pdf.annots.QuadPoints.setFirst | ( | PointF | value | ) |

Set first point of quadrilateral, in PDF coordinate system.

Parameters

  [in] | value | First point of quadrilateral, in PDF coordinate system.

Returns
  None.

## ◆ setFourth()

com.foxit.sdk.pdf.annots.QuadPoints.setFourth | ( | PointF | value | ) |

Set fourth point of quadrilateral, in PDF coordinate system.

Parameters

  [in] | value | Fourth point of quadrilateral, in PDF coordinate system.

Returns
  None.

## ◆ setSecond()

com.foxit.sdk.pdf.annots.QuadPoints.setSecond | ( | PointF | value | ) |

Set second point of quadrilateral, in PDF coordinate system.

Parameters

  [in] | value | Second point of quadrilateral, in PDF coordinate system.

Returns
  None.

## ◆ setThird()

com.foxit.sdk.pdf.annots.QuadPoints.setThird | ( | PointF | value | ) |

Set third point of quadrilateral, in PDF coordinate system.

Parameters

  [in] | value | Third point of quadrilateral, in PDF coordinate system.

Returns
  None.